dev_menus = False
timing = False

import random
random.seed(1)          # Get reproducible random colors.

def getMod ( name ) :

    import chimera
    mlist = chimera.openModels.list ()
    for mol in mlist :
        if mol.name == name :
            return mol
    return None


def NumberFromName ( name, tag ) :

    #name = os.path.splitext ( name ) [0]
    if name.rfind('.mrc') >= 0 : name = name [ : name.rfind('.mrc') ]
    ts = name.split ("_")
    num = None

    for t in ts :
        if t[0:len(tag)] == tag :
            try :
                num = float ( t[len(tag):] )
                break
            except :
                continue

    return num
